#!/bin/bash
#

#Ajout des paramètres SFTP au fichier de config ZT

ZTEXECDIR=/home/zonetest/ZT
USBEXECDIR=$VERSIONROOT/EXE



echo " "
echo "----------------------------------------------------"
echo "Ajout des paramètres SFTP au fichier de config"
echo "----------------------------------------------------"
echo "Voulez-vous vraiment continuer? (o ou n)"
read UserInput

if [ "$UserInput" != "o" ]; then
    echo "Annulation..."
    exit 0
fi


CONFIG_FILE_PATH=$ZTEXECDIR/Configuration/ZT.cfg
echo " "
echo "Ajout des informations SFTP & SAMBA dans le fichier de configuration"
echo "
#----------------------------------
#Paramètres du dossier partagé sur le réseau (SAMBA) pour la copie des fichiers logs
#Activation de la copie des fichiers sur le réseau (OUI ou NON)
ACTIVER_SAMBA=NON
#Path du dossier cible sur le réseau
NETWORK_SHARE_PATH=//10.133.3.136/Transfert$/vers_corpo/CT
#Login pour accéder au drive
NETWORK_SHARE_LOGIN=service.ct
#Mot de passe pour accéder au drive
NETWORK_SHARE_PASSWORD=SigN4lisat10n!77240TraNsf3Rt
#Nom de domaine du drive réseau.  Commenter si aucun nom de domaine ne doit être spécifié
NETWORK_SHARE_DOMAIN=metro


#----------------------------------
#Paramètres du serveur SFTP pour la copie des fichiers logs
#Activation de la copie des fichiers sur le réseau (OUI ou NON)
ACTIVER_SFTP=OUI
#Login pour accéder au serveur SFTP
SFTP_LOGIN=service.ct
#Password pour accéder au serveur SFTP
SFTP_PASSWORD=SigN4lisat10n!77240TraNsf3Rt
#Adresse du serveur
SFTP_SERVER_ADDRESS=10.133.3.136
#Répertoire de destination sur le serveur.  Doit être vide pour le client SFTP.
SFTP_DESTINATION=
#SFTP_DESTINATION=/Transfert$/vers_corpo/CT/
\n" >> $CONFIG_FILE_PATH
echo "Modification du fichier de configuration OK"



